apiVersion: v1
kind: List
items:
- apiVersion: apps/v1
  kind: Deployment
  metadata:
    annotations:
      deployment.kubernetes.io/revision: "1"
      kompose.cmd: kompose convert
      kompose.version: 1.32.0 (765fde254)
    labels:
      io.kompose.service: broker
    name: broker
    namespace: default
  spec:
    progressDeadlineSeconds: 600
    replicas: 1
    revisionHistoryLimit: 10
    selector:
      matchLabels:
        io.kompose.service: broker
    strategy:
      type: Recreate
    template:
      metadata:
        annotations:
          kompose.cmd: kompose convert
          kompose.version: 1.32.0 (765fde254)
        labels:
          io.kompose.network/paperless-default: "true"
          io.kompose.service: broker
      spec:
        containers:
        - image: docker.io/library/redis:7
          imagePullPolicy: IfNotPresent
          name: broker
          resources: {}
          terminationMessagePath: /dev/termination-log
          terminationMessagePolicy: File
          volumeMounts:
          - mountPath: /data
            name: redisdata
        dnsPolicy: ClusterFirst
        restartPolicy: Always
        schedulerName: default-scheduler
        securityContext: {}
        terminationGracePeriodSeconds: 30
        volumes:
        - hostPath:
            path: /media/kube/paperless/redisdata
            type: ""
          name: redisdata
- apiVersion: apps/v1
  kind: Deployment
  metadata:
    annotations:
      deployment.kubernetes.io/revision: "1"
      kompose.cmd: kompose convert
      kompose.version: 1.32.0 (765fde254)
    labels:
      io.kompose.service: grafana
    name: grafana
    namespace: default
  spec:
    progressDeadlineSeconds: 600
    replicas: 1
    revisionHistoryLimit: 10
    selector:
      matchLabels:
        io.kompose.service: grafana
    strategy:
      type: Recreate
    template:
      metadata:
        annotations:
          kompose.cmd: kompose convert
          kompose.version: 1.32.0 (765fde254)
        labels:
          io.kompose.network/grafana-default: "true"
          io.kompose.service: grafana
      spec:
        containers:
        - image: grafana/grafana:latest
          imagePullPolicy: Always
          name: grafana
          ports:
          - containerPort: 3000
            hostPort: 3000
            protocol: TCP
          resources: {}
          terminationMessagePath: /dev/termination-log
          terminationMessagePolicy: File
          volumeMounts:
          - mountPath: /etc/grafana/provisioning/datasources
            name: grafana-claim0
          - mountPath: /var/lib/grafana
            name: grafana-claim1
        dnsPolicy: ClusterFirst
        restartPolicy: Always
        schedulerName: default-scheduler
        securityContext: {}
        terminationGracePeriodSeconds: 30
        volumes:
        - hostPath:
            path: /media/kube/grafana/grafana
            type: ""
          name: grafana-claim0
        - hostPath:
            path: /media/kube/grafana/grafana-data
            type: ""
          name: grafana-claim1
- apiVersion: apps/v1
  kind: Deployment
  metadata:
    annotations:
      deployment.kubernetes.io/revision: "3"
      kompose.cmd: kompose convert
      kompose.version: 1.32.0 (765fde254)
    labels:
      io.kompose.service: webserver
    name: webserver
    namespace: default
  spec:
    progressDeadlineSeconds: 600
    replicas: 1
    revisionHistoryLimit: 10
    selector:
      matchLabels:
        io.kompose.service: webserver
    strategy:
      type: Recreate
    template:
      metadata:
        annotations:
          kompose.cmd: kompose convert
          kompose.version: 1.32.0 (765fde254)
        labels:
          io.kompose.network/paperless-default: "true"
          io.kompose.service: webserver
      spec:
        containers:
        - env:
          - name: PAPERLESS_REDIS
            value: redis://192.168.3.191:30003
          - name: PAPERLESS_URL
            value: https://paper.gano.duckdns.org
          image: ghcr.io/paperless-ngx/paperless-ngx:latest
          imagePullPolicy: Always
          name: webserver
          ports:
          - containerPort: 8000
            hostPort: 8000
            protocol: TCP
          resources: {}
          terminationMessagePath: /dev/termination-log
          terminationMessagePolicy: File
          volumeMounts:
          - mountPath: /usr/src/paperless/data
            name: data
          - mountPath: /usr/src/paperless/media
            name: media
          - mountPath: /usr/src/paperless/export
            name: webserver-claim2
          - mountPath: /usr/src/paperless/consume
            name: webserver-claim3
        dnsPolicy: ClusterFirst
        restartPolicy: Always
        schedulerName: default-scheduler
        securityContext: {}
        terminationGracePeriodSeconds: 30
        volumes:
        - hostPath:
            path: /media/kube/paperless/data
            type: ""
          name: data
        - hostPath:
            path: /media/kube/paperless/media
            type: ""
          name: media
        - hostPath:
            path: /media/kube/paperless/export
            type: ""
          name: webserver-claim2
        - hostPath:
            path: /media/kube/paperless/consume
            type: ""
          name: webserver-claim3
kind: List
